Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class SSLConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.webservice.client.SSLConfigurationException

public class SSLConfigurationException
extends java.lang.RuntimeException

SSLConfigurationException.java This exception is thrown in two cases:

- The SSLAdapter class identified by the user via the `weblogic.webservice.client.ssl.adapterclass` system property could not be loaded.
- The system property was not set but none of the default adapters could be loaded. This should never happen as there is a NullSSLAdapter class included with the client for the case when no SSL implementation is available.

Created: Thu Jun 20 15:17:54 2002

Author:
  Copyright (c) 2002-2003. BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`SSLConfigurationException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLConfigurationException

    public SSLConfigurationException(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference